Distribution:		CCux
Packager:		Christian Metzen <metzench@ccux-linux.de>

Name:			gnome-settings-daemon
Version:		2.22.1
Release:		1
Summary:		The daemon sharing settings from GNOME to GTK+/KDE applications

Group:			System/Daemons
License:		GPLv2+
URL:			http://ftp.gnome.org/pub/gnome/sources/%{name}
Source0:		http://ftp.gnome.org/pub/gnome/sources/%{name}/2.22/%{name}-%{version}.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(pre): GConf >= 2.14
Requires(preun): GConf >= 2.14
Requires(post): GConf >= 2.14

BuildRequires:		dbus-glib-devel
BuildRequires:		GConf-devel
BuildRequires:		gtk2+-devel
BuildRequires:		gnome-vfs-devel
BuildRequires:		gnome-desktop-devel >= 2.21.91
BuildRequires:		libglade-devel
BuildRequires:		libgnomeui-devel
BuildRequires:		libgnome-devel
BuildRequires:		xorg-x11-proto-devel
BuildRequires:		gstreamer10-devel
BuildRequires:		gst-plugins-base-devel
BuildRequires:		libgnomekbd-devel
BuildRequires:		gettext
BuildRequires:		perl(XML::Parser)

Patch1:         	add-randr-12.patch
Patch2:         	gnome-settings-daemon-2.21.91-ignore-model-if-evdev.patch

%description
A daemon to share settings from GNOME to other applications. It also
handles global keybindings, as well as a number of desktop-wide settings.

%package	devel
Summary:		Development files for %{name}
Group:			Development/Libraries
Requires:		%{name} = %{version}-%{release}
Requires:		pkgconfig
Requires:		dbus-glib-devel

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

#%patch1 -p1 -b .add-randr-12
%patch2 -p1 -b .ignore-layout-if-using-evdev

%build
%configure --enable-static=no --sysconfdir=%_sysconfdir/gnome
make %{?_smp_mflags}

cd po
# clean up .po files
make %{name}.pot
for p in *.po; do
  msgmerge -U $p %{name}.pot
done
# regenerate .gmo files
make
cd ..

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gnome/gconf/schemas/apps_gnome_settings_daemon_default_editor.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/apps_gnome_settings_daemon_keybindings.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/apps_gnome_settings_daemon_screensaver.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/desktop_gnome_font_rendering.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/gnome-settings-daemon.schemas \
	>& /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gnome/gconf/schemas/apps_gnome_settings_daemon_default_editor.schemas \
		%{_sysconfdir}/gnome/gconf/schemas/apps_gnome_settings_daemon_keybindings.schemas \
		%{_sysconfdir}/gnome/gconf/schemas/apps_gnome_settings_daemon_screensaver.schemas \
		%{_sysconfdir}/gnome/gconf/schemas/desktop_gnome_font_rendering.schemas \
		%{_sysconfdir}/gnome/gconf/schemas/gnome-settings-daemon.schemas \
		>& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gnome/gconf/schemas/apps_gnome_settings_daemon_default_editor.schemas \
		%{_sysconfdir}/gnome/gconf/schemas/apps_gnome_settings_daemon_keybindings.schemas \
		%{_sysconfdir}/gnome/gconf/schemas/apps_gnome_settings_daemon_screensaver.schemas \
		%{_sysconfdir}/gnome/gconf/schemas/desktop_gnome_font_rendering.schemas \
		%{_sysconfdir}/gnome/gconf/schemas/gnome-settings-daemon.schemas \
		>& /dev/null || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%{_sysconfdir}/gnome/gconf/schemas/*
%{_libdir}/gnome-settings-daemon-2.0
%{_libexecdir}/gnome-settings-daemon
%{_datadir}/gnome-settings-daemon/
%{_datadir}/dbus-1/services/org.gnome.SettingsDaemon.service

%files devel
%defattr(-,root,root,-)
%{_includedir}/gnome-settings-daemon-2.0
%{_libdir}/pkgconfig/gnome-settings-daemon.pc

%changelog
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Initial release